import { request } from '@/utils/request';

export function getRuiHenReportDetail(params) {
  return request({
    url: '/pms/iot-rh-daily-report/get',
    method: 'get',
    params,
  });
}

export function createIotRhDailyReport(data) {
  return request({ url: `/pms/iot-rh-daily-report/create`, data, method: 'post' });
}

export function approvalIotRhDailyReport(data) {
  return request({ url: `/pms/iot-rh-daily-report/approval`, data, method: 'put' });
}

export function getRuiHenReportPage(params) {
  return request({
    url: '/pms/iot-rh-daily-report/page',
    method: 'get',
    params,
  });
}
